from flask import Blueprint, render_template

from flask.ext.assets import Environment, Bundle

blueprint = Blueprint(
    'frontend',
    __name__,
    template_folder='templates',
    static_folder='static'
)

# Local asset management
frontend_js = Bundle(
    'frontend/js/app.js',
    'frontend/js/accounts.js',
    'frontend/js/operations.js',
    'frontend/js/scheduler.js'
)
frontend_css = Bundle('frontend/css/main.css')

assets = Environment()
assets.register('frontend_js', frontend_js)
assets.register('frontend_css', frontend_css)


@blueprint.route('/', defaults={'path': 'accounts'})
@blueprint.route('/<path:path>')
def index(path):
    return render_template('layout.html')
